CPROCP(3)

SYNOPSIS
SUBROUTINE CPROCP (ND, BD, NM1, BM1, NM2, BM2, NA, AA, X, Y, M, A, + B, C, D, U, YY)

NAME
cprocp - Subsidiary to CBLKTR

LIBRARY
SLATEC

TYPE
COMPLEX (CPRODP-S, CPROCP-C)

AUTHOR
(UNKNOWN)

DESCRIPTION
CPROCP applies a sequence of matrix operations to the vector X and stores the result in Y. BD,BM1,BM2 are arrays containing roots of certain B polynomials. ND,NM1,NM2 are the lengths of the arrays BD,BM1,BM2 respectively. AA Array containing scalar multipliers of the vector X. NA is the length of the array AA. X,Y The matrix operations are applied to X and the result is Y. A,B,C are arrays which contain the tridiagonal matrix. M is the order of the matrix. D,U are work arrays. ISGN determines whether or not a change in sign is made.

SEE ALSO
CBLKTR

ROUTINES CALLED
(NONE)

REVISION HISTORY (YYMMDD)
801001 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)